/*===========================================================================*/
/*   (Rgc/rgc.scm)                                                           */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -O4 -mklib -cc gcc-2.95 -fsharing -q -s -copt -DBGL_NO_PIC -unsafe -c Rgc/rgc.scm -indent -o objs/obj_u/Rgc/rgc.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>
#include <signal.h>

static obj_t BGl__rgczd2fillzd2buffer1771z00zz__rgcz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__rgcz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl__rgczd2bufferzd2ungetzd2char1743zd2zz__rgcz00(obj_t, obj_t, obj_t);
extern obj_t rgc_buffer_integer(obj_t);
extern bool_t rgc_buffer_eol_p(obj_t);
BGL_EXPORTED_DECL int BGl_rgczd2bufferzd2getzd2charzd2zz__rgcz00(obj_t);
static obj_t BGl__rgczd2bufferzd2eofzf31780zf3zz__rgcz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_za2rgczd2caseza2zd2zz__rgcz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_rgczd2bufferzd2substringz00zz__rgcz00(obj_t, int, int);
BGL_EXPORTED_DECL long BGl_rgczd2bufferzd2positionz00zz__rgcz00(obj_t);
static obj_t BGl__rgczd2bufferzd2eolzf31776zf3zz__rgcz00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_rgczd2bufferzd2bolzf3zf3zz__rgcz00(obj_t);
static obj_t BGl__rgczd2bufferzd2keyword1759z00zz__rgcz00(obj_t, obj_t);
extern obj_t rgc_buffer_upcase_keyword(obj_t);
BGL_EXPORTED_DECL obj_t BGl_rgczd2thezd2submatchz00zz__rgcz00(obj_t, int, int, int);
static obj_t BGl_cnstzd2initzd2zz__rgcz00();
BGL_EXPORTED_DECL long BGl_rgczd2bufferzd2lengthz00zz__rgcz00(obj_t);
static obj_t BGl_symbol1835z00zz__rgcz00 = BUNSPEC;
static obj_t BGl_symbol1834z00zz__rgcz00 = BUNSPEC;
static obj_t BGl_symbol1833z00zz__rgcz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_rgczd2bufferzd2keywordz00zz__rgcz00(obj_t);
static obj_t BGl_symbol1832z00zz__rgcz00 = BUNSPEC;
static obj_t BGl_symbol1831z00zz__rgcz00 = BUNSPEC;
static obj_t BGl_symbol1830z00zz__rgcz00 = BUNSPEC;
extern bool_t rgc_buffer_bof_p(obj_t);
extern obj_t string_to_symbol(char *);
extern obj_t rgc_buffer_keyword(obj_t);
static obj_t BGl__rgczd2thezd2submatchz00zz__rgcz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern long rgc_buffer_fixnum(obj_t);
BGL_EXPORTED_DECL bool_t BGl_rgczd2bufferzd2bofzf3zf3zz__rgcz00(obj_t);
static obj_t BGl__rgczd2bufferzd2position1761z00zz__rgcz00(obj_t, obj_t);
static obj_t BGl__rgczd2startzd2matchz121765z12zz__rgcz00(obj_t, obj_t);
extern obj_t rgc_buffer_downcase_symbol(obj_t);
static obj_t BGl__rgczd2bufferzd2character1745z00zz__rgcz00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_rgczd2bufferzd2emptyzf3zf3zz__rgcz00(obj_t);
BGL_EXPORTED_DECL bool_t BGl_rgczd2fillzd2bufferz00zz__rgcz00(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__rgcz00();
extern bool_t rgc_buffer_bol_p(obj_t);
static obj_t BGl__rgczd2bufferzd2bofzf31778zf3zz__rgcz00(obj_t, obj_t);
static obj_t BGl__rgczd2bufferzd2emptyzf31769zf3zz__rgcz00(obj_t, obj_t);
extern obj_t rgc_buffer_upcase_symbol(obj_t);
BGL_EXPORTED_DECL long BGl_rgczd2bufferzd2fixnumz00zz__rgcz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_rgczd2bufferzd2integerz00zz__rgcz00(obj_t);
static obj_t BGl__rgczd2bufferzd2bolzf31774zf3zz__rgcz00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__rgcz00 = BUNSPEC;
static obj_t BGl__rgczd2stopzd2matchz121767z12zz__rgcz00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_rgczd2bufferzd2eolzf3zf3zz__rgcz00(obj_t);
extern double rgc_buffer_flonum(obj_t);
static obj_t BGl__rgczd2bufferzd2flonum1755z00zz__rgcz00(obj_t, obj_t);
extern obj_t rgc_buffer_substring(obj_t, int, int);
BGL_EXPORTED_DEF obj_t BGl_za2unsafezd2rgcza2zd2zz__rgcz00 = BUNSPEC;
static obj_t BGl__rgczd2bufferzd2substring1747z00zz__rgcz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t rgc_buffer_symbol(obj_t);
static obj_t BGl__rgczd2bufferzd2length1749z00zz__rgcz00(obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_rgczd2bufferzd2ungetzd2charzd2zz__rgcz00(obj_t, int);
extern bool_t BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
static obj_t BGl__rgczd2setzd2fileposz121763z12zz__rgcz00(obj_t, obj_t);
BGL_EXPORTED_DECL double BGl_rgczd2bufferzd2flonumz00zz__rgcz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_rgczd2setzd2fileposz12z12zz__rgcz00(obj_t);
static obj_t BGl__rgczd2fillzd2bufferzd2ifzd2emptyz00zz__rgcz00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_rgczd2fillzd2bufferzd2ifzd2emptyz00zz__rgcz00(obj_t);
extern bool_t rgc_fill_buffer(obj_t);
extern bool_t rgc_buffer_eof_p(obj_t);
static obj_t BGl__rgczd2bufferzd2symbol1757z00zz__rgcz00(obj_t, obj_t);
BGL_EXPORTED_DECL char BGl_rgczd2bufferzd2characterz00zz__rgcz00(obj_t);
BGL_EXPORTED_DECL bool_t BGl_rgczd2bufferzd2eofzf3zf3zz__rgcz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_rgczd2bufferzd2symbolz00zz__rgcz00(obj_t);
static obj_t BGl__rgczd2bufferzd2getzd2char1741zd2zz__rgcz00(obj_t, obj_t);
static obj_t BGl__rgczd2bufferzd2integer1753z00zz__rgcz00(obj_t, obj_t);
static obj_t BGl__rgczd2bufferzd2fixnum1751z00zz__rgcz00(obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_rgczd2startzd2matchz12z12zz__rgcz00(obj_t);
extern obj_t rgc_buffer_downcase_keyword(obj_t);
static obj_t BGl_toplevelzd2initzd2zz__rgcz00();
BGL_EXPORTED_DECL int BGl_rgczd2stopzd2matchz12z12zz__rgcz00(obj_t);
extern int rgc_buffer_unget_char(obj_t, int);
static obj_t *__cnst;


DEFINE_EXPORT_PROCEDURE( BGl_rgczd2fillzd2bufferzd2ifzd2emptyzd2envzd2zz__rgcz00, BgL_bgl__rgcza7d2fillza7d2bufferza7d2ifza7d2emptyza700za7za7__rgcza7001845z00, BGl__rgczd2fillzd2bufferzd2ifzd2emptyz00zz__rgcz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_rgczd2bufferzd2flonumzd2envzd2zz__rgcz00, BgL_bgl__rgcza7d2bufferza7d2flonum1755za700za7za7__rgcza7001846z00, BGl__rgczd2bufferzd2flonum1755z00zz__rgcz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_rgczd2bufferzd2bofzf3zd2envz21zz__rgcz00, BgL_bgl__rgcza7d2bufferza7d2bofza7f31778za7f3za7za7__rgcza7001847za7, BGl__rgczd2bufferzd2bofzf31778zf3zz__rgcz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_rgczd2bufferzd2bolzf3zd2envz21zz__rgcz00, BgL_bgl__rgcza7d2bufferza7d2bolza7f31774za7f3za7za7__rgcza7001848za7, BGl__rgczd2bufferzd2bolzf31774zf3zz__rgcz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_rgczd2bufferzd2emptyzf3zd2envz21zz__rgcz00, BgL_bgl__rgcza7d2bufferza7d2emptyza7f31769za7f3za7za7__rgcza7001849za7, BGl__rgczd2bufferzd2emptyzf31769zf3zz__rgcz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_rgczd2bufferzd2integerzd2envzd2zz__rgcz00, BgL_bgl__rgcza7d2bufferza7d2integer1753za700za7za7__rgcza7001850z00, BGl__rgczd2bufferzd2integer1753z00zz__rgcz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_rgczd2startzd2matchz12zd2envzc0zz__rgcz00, BgL_bgl__rgcza7d2startza7d2matchza7121765za712za7za7__rgcza7001851za7, BGl__rgczd2startzd2matchz121765z12zz__rgcz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_rgczd2bufferzd2positionzd2envzd2zz__rgcz00, BgL_bgl__rgcza7d2bufferza7d2position1761za700za7za7__rgcza7001852z00, BGl__rgczd2bufferzd2position1761z00zz__rgcz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_rgczd2bufferzd2characterzd2envzd2zz__rgcz00, BgL_bgl__rgcza7d2bufferza7d2character1745za700za7za7__rgcza7001853z00, BGl__rgczd2bufferzd2character1745z00zz__rgcz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_rgczd2setzd2fileposz12zd2envzc0zz__rgcz00, BgL_bgl__rgcza7d2setza7d2fileposza7121763za712za7za7__rgcza7001854za7, BGl__rgczd2setzd2fileposz121763z12zz__rgcz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_rgczd2fillzd2bufferzd2envzd2zz__rgcz00, BgL_bgl__rgcza7d2fillza7d2buffer1771za700za7za7__rgcza7001855z00, BGl__rgczd2fillzd2buffer1771z00zz__rgcz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_rgczd2bufferzd2fixnumzd2envzd2zz__rgcz00, BgL_bgl__rgcza7d2bufferza7d2fixnum1751za700za7za7__rgcza7001856z00, BGl__rgczd2bufferzd2fixnum1751z00zz__rgcz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_rgczd2bufferzd2keywordzd2envzd2zz__rgcz00, BgL_bgl__rgcza7d2bufferza7d2keyword1759za700za7za7__rgcza7001857z00, BGl__rgczd2bufferzd2keyword1759z00zz__rgcz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_rgczd2stopzd2matchz12zd2envzc0zz__rgcz00, BgL_bgl__rgcza7d2stopza7d2matchza7121767za712za7za7__rgcza7001858za7, BGl__rgczd2stopzd2matchz121767z12zz__rgcz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_rgczd2bufferzd2getzd2charzd2envz00zz__rgcz00, BgL_bgl__rgcza7d2bufferza7d2getza7d2char1741za7d2za7za7__rgcza7001859za7, BGl__rgczd2bufferzd2getzd2char1741zd2zz__rgcz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_rgczd2bufferzd2eofzf3zd2envz21zz__rgcz00, BgL_bgl__rgcza7d2bufferza7d2eofza7f31780za7f3za7za7__rgcza7001860za7, BGl__rgczd2bufferzd2eofzf31780zf3zz__rgcz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_rgczd2bufferzd2eolzf3zd2envz21zz__rgcz00, BgL_bgl__rgcza7d2bufferza7d2eolza7f31776za7f3za7za7__rgcza7001861za7, BGl__rgczd2bufferzd2eolzf31776zf3zz__rgcz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_rgczd2bufferzd2substringzd2envzd2zz__rgcz00, BgL_bgl__rgcza7d2bufferza7d2substring1747za700za7za7__rgcza7001862z00, BGl__rgczd2bufferzd2substring1747z00zz__rgcz00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_rgczd2bufferzd2ungetzd2charzd2envz00zz__rgcz00, BgL_bgl__rgcza7d2bufferza7d2ungetza7d2char1743za7d2za7za7__rgcza7001863za7, BGl__rgczd2bufferzd2ungetzd2char1743zd2zz__rgcz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_rgczd2bufferzd2lengthzd2envzd2zz__rgcz00, BgL_bgl__rgcza7d2bufferza7d2length1749za700za7za7__rgcza7001864z00, BGl__rgczd2bufferzd2length1749z00zz__rgcz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_rgczd2thezd2submatchzd2envzd2zz__rgcz00, BgL_bgl__rgcza7d2theza7d2submatchza700za7za7__rgcza7001865z00, BGl__rgczd2thezd2submatchz00zz__rgcz00, 0L, 4 );
DEFINE_EXPORT_PROCEDURE( BGl_rgczd2bufferzd2symbolzd2envzd2zz__rgcz00, BgL_bgl__rgcza7d2bufferza7d2symbol1757za700za7za7__rgcza7001866z00, BGl__rgczd2bufferzd2symbol1757z00zz__rgcz00, 0L, 1 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__rgcz00(long BgL_checksumz00_698, char * BgL_fromz00_699)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__rgcz00))
{ 
BGl_requirezd2initializa7ationz75zz__rgcz00 = 
BBOOL(((bool_t)0)); 
BGl_cnstzd2initzd2zz__rgcz00(); 
BGl_importedzd2moduleszd2initz00zz__rgcz00(); 
BGl_toplevelzd2initzd2zz__rgcz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__rgcz00()
{ AN_OBJECT;
{ /* ./Rgc/rgc.scm 17 */
BGl_symbol1830z00zz__rgcz00 = 
string_to_symbol("sensitive"); 
BGl_symbol1831z00zz__rgcz00 = 
string_to_symbol("downcase"); 
BGl_symbol1832z00zz__rgcz00 = 
string_to_symbol("upcase"); 
BGl_symbol1833z00zz__rgcz00 = 
string_to_symbol("stop"); 
BGl_symbol1834z00zz__rgcz00 = 
string_to_symbol("start"); 
return ( 
BGl_symbol1835z00zz__rgcz00 = 
string_to_symbol("start*"), BUNSPEC) ;} 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__rgcz00()
{ AN_OBJECT;
{ /* ./Rgc/rgc.scm 17 */
BGl_za2unsafezd2rgcza2zd2zz__rgcz00 = BFALSE; 
return ( 
BGl_za2rgczd2caseza2zd2zz__rgcz00 = BGl_symbol1830z00zz__rgcz00, BUNSPEC) ;} 
}



/* rgc-buffer-get-char */
BGL_EXPORTED_DEF int BGl_rgczd2bufferzd2getzd2charzd2zz__rgcz00(obj_t BgL_inputzd2portzd2_1)
{ AN_OBJECT;
{ /* ./Rgc/rgc.scm 201 */
return 
RGC_BUFFER_GET_CHAR(BgL_inputzd2portzd2_1);} 
}



/* _rgc-buffer-get-char1741 */
obj_t BGl__rgczd2bufferzd2getzd2char1741zd2zz__rgcz00(obj_t BgL_envz00_615, obj_t BgL_inputzd2portzd2_616)
{ AN_OBJECT;
{ /* ./Rgc/rgc.scm 201 */
{ /* ./Rgc/rgc.scm 202 */
int BgL_auxz00_713;
BgL_auxz00_713 = 
RGC_BUFFER_GET_CHAR(BgL_inputzd2portzd2_616); 
return 
BINT(BgL_auxz00_713);} } 
}



/* rgc-buffer-unget-char */
BGL_EXPORTED_DEF int BGl_rgczd2bufferzd2ungetzd2charzd2zz__rgcz00(obj_t BgL_inputzd2portzd2_2, int BgL_charz00_3)
{ AN_OBJECT;
{ /* ./Rgc/rgc.scm 207 */
return 
rgc_buffer_unget_char(BgL_inputzd2portzd2_2, BgL_charz00_3);} 
}



/* _rgc-buffer-unget-char1743 */
obj_t BGl__rgczd2bufferzd2ungetzd2char1743zd2zz__rgcz00(obj_t BgL_envz00_617, obj_t BgL_inputzd2portzd2_618, obj_t BgL_charz00_619)
{ AN_OBJECT;
{ /* ./Rgc/rgc.scm 207 */
{ /* ./Rgc/rgc.scm 208 */
int BgL_auxz00_717;
{ /* ./Rgc/rgc.scm 208 */
int BgL_auxz00_718;
BgL_auxz00_718 = 
CINT(BgL_charz00_619); 
BgL_auxz00_717 = 
rgc_buffer_unget_char(BgL_inputzd2portzd2_618, BgL_auxz00_718); } 
return 
BINT(BgL_auxz00_717);} } 
}



/* rgc-buffer-character */
BGL_EXPORTED_DEF char BGl_rgczd2bufferzd2characterz00zz__rgcz00(obj_t BgL_inputzd2portzd2_4)
{ AN_OBJECT;
{ /* ./Rgc/rgc.scm 213 */
return 
RGC_BUFFER_CHARACTER(BgL_inputzd2portzd2_4);} 
}



/* _rgc-buffer-character1745 */
obj_t BGl__rgczd2bufferzd2character1745z00zz__rgcz00(obj_t BgL_envz00_620, obj_t BgL_inputzd2portzd2_621)
{ AN_OBJECT;
{ /* ./Rgc/rgc.scm 213 */
{ /* ./Rgc/rgc.scm 214 */
char BgL_auxz00_723;
BgL_auxz00_723 = 
RGC_BUFFER_CHARACTER(BgL_inputzd2portzd2_621); 
return 
BCHAR(BgL_auxz00_723);} } 
}



/* rgc-buffer-substring */
BGL_EXPORTED_DEF obj_t BGl_rgczd2bufferzd2substringz00zz__rgcz00(obj_t BgL_inputzd2portzd2_5, int BgL_startz00_6, int BgL_stopz00_7)
{ AN_OBJECT;
{ /* ./Rgc/rgc.scm 219 */
return 
rgc_buffer_substring(BgL_inputzd2portzd2_5, BgL_startz00_6, BgL_stopz00_7);} 
}



/* _rgc-buffer-substring1747 */
obj_t BGl__rgczd2bufferzd2substring1747z00zz__rgcz00(obj_t BgL_envz00_622, obj_t BgL_inputzd2portzd2_623, obj_t BgL_startz00_624, obj_t BgL_stopz00_625)
{ AN_OBJECT;
{ /* ./Rgc/rgc.scm 219 */
{ /* ./Rgc/rgc.scm 220 */
int BgL_auxz00_729;int BgL_auxz00_727;
BgL_auxz00_729 = 
CINT(BgL_stopz00_625); 
BgL_auxz00_727 = 
CINT(BgL_startz00_624); 
return 
rgc_buffer_substring(BgL_inputzd2portzd2_623, BgL_auxz00_727, BgL_auxz00_729);} } 
}



/* rgc-buffer-length */
BGL_EXPORTED_DEF long BGl_rgczd2bufferzd2lengthz00zz__rgcz00(obj_t BgL_inputzd2portzd2_8)
{ AN_OBJECT;
{ /* ./Rgc/rgc.scm 225 */
return 
RGC_BUFFER_LENGTH(BgL_inputzd2portzd2_8);} 
}



/* _rgc-buffer-length1749 */
obj_t BGl__rgczd2bufferzd2length1749z00zz__rgcz00(obj_t BgL_envz00_626, obj_t BgL_inputzd2portzd2_627)
{ AN_OBJECT;
{ /* ./Rgc/rgc.scm 225 */
{ /* ./Rgc/rgc.scm 226 */
long BgL_auxz00_733;
BgL_auxz00_733 = 
RGC_BUFFER_LENGTH(BgL_inputzd2portzd2_627); 
return 
BINT(BgL_auxz00_733);} } 
}



/* rgc-buffer-fixnum */
BGL_EXPORTED_DEF long BGl_rgczd2bufferzd2fixnumz00zz__rgcz00(obj_t BgL_inputzd2portzd2_9)
{ AN_OBJECT;
{ /* ./Rgc/rgc.scm 231 */
return 
rgc_buffer_fixnum(BgL_inputzd2portzd2_9);} 
}



/* _rgc-buffer-fixnum1751 */
obj_t BGl__rgczd2bufferzd2fixnum1751z00zz__rgcz00(obj_t BgL_envz00_628, obj_t BgL_inputzd2portzd2_629)
{ AN_OBJECT;
{ /* ./Rgc/rgc.scm 231 */
{ /* ./Rgc/rgc.scm 232 */
long BgL_auxz00_737;
BgL_auxz00_737 = 
rgc_buffer_fixnum(BgL_inputzd2portzd2_629); 
return 
BINT(BgL_auxz00_737);} } 
}



/* rgc-buffer-integer */
BGL_EXPORTED_DEF obj_t BGl_rgczd2bufferzd2integerz00zz__rgcz00(obj_t BgL_inputzd2portzd2_10)
{ AN_OBJECT;
{ /* ./Rgc/rgc.scm 237 */
return 
rgc_buffer_integer(BgL_inputzd2portzd2_10);} 
}



/* _rgc-buffer-integer1753 */
obj_t BGl__rgczd2bufferzd2integer1753z00zz__rgcz00(obj_t BgL_envz00_630, obj_t BgL_inputzd2portzd2_631)
{ AN_OBJECT;
{ /* ./Rgc/rgc.scm 237 */
return 
rgc_buffer_integer(BgL_inputzd2portzd2_631);} 
}



/* rgc-buffer-flonum */
BGL_EXPORTED_DEF double BGl_rgczd2bufferzd2flonumz00zz__rgcz00(obj_t BgL_inputzd2portzd2_11)
{ AN_OBJECT;
{ /* ./Rgc/rgc.scm 243 */
return 
rgc_buffer_flonum(BgL_inputzd2portzd2_11);} 
}



/* _rgc-buffer-flonum1755 */
obj_t BGl__rgczd2bufferzd2flonum1755z00zz__rgcz00(obj_t BgL_envz00_632, obj_t BgL_inputzd2portzd2_633)
{ AN_OBJECT;
{ /* ./Rgc/rgc.scm 243 */
{ /* ./Rgc/rgc.scm 244 */
double BgL_auxz00_743;
BgL_auxz00_743 = 
rgc_buffer_flonum(BgL_inputzd2portzd2_633); 
return 
DOUBLE_TO_REAL(BgL_auxz00_743);} } 
}



/* rgc-buffer-symbol */
BGL_EXPORTED_DEF obj_t BGl_rgczd2bufferzd2symbolz00zz__rgcz00(obj_t BgL_inputzd2portzd2_12)
{ AN_OBJECT;
{ /* ./Rgc/rgc.scm 249 */
{ /* ./Rgc/rgc.scm 250 */
obj_t BgL_casezd2valuezd2_676;
BgL_casezd2valuezd2_676 = BGl_za2rgczd2caseza2zd2zz__rgcz00; 
if(
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_casezd2valuezd2_676, BGl_symbol1830z00zz__rgcz00))
{ /* ./Rgc/rgc.scm 250 */
return 
rgc_buffer_symbol(BgL_inputzd2portzd2_12);}  else 
{ /* ./Rgc/rgc.scm 250 */
if(
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_casezd2valuezd2_676, BGl_symbol1831z00zz__rgcz00))
{ /* ./Rgc/rgc.scm 250 */
return 
rgc_buffer_downcase_symbol(BgL_inputzd2portzd2_12);}  else 
{ /* ./Rgc/rgc.scm 250 */
if(
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_casezd2valuezd2_676, BGl_symbol1832z00zz__rgcz00))
{ /* ./Rgc/rgc.scm 250 */
return 
rgc_buffer_upcase_symbol(BgL_inputzd2portzd2_12);}  else 
{ /* ./Rgc/rgc.scm 250 */
return 
rgc_buffer_symbol(BgL_inputzd2portzd2_12);} } } } } 
}



/* _rgc-buffer-symbol1757 */
obj_t BGl__rgczd2bufferzd2symbol1757z00zz__rgcz00(obj_t BgL_envz00_634, obj_t BgL_inputzd2portzd2_635)
{ AN_OBJECT;
{ /* ./Rgc/rgc.scm 249 */
{ /* ./Rgc/rgc.scm 250 */
obj_t BgL_res1836z00_679;
{ /* ./Rgc/rgc.scm 250 */
obj_t BgL_casezd2valuezd2_678;
BgL_casezd2valuezd2_678 = BGl_za2rgczd2caseza2zd2zz__rgcz00; 
if(
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_casezd2valuezd2_678, BGl_symbol1830z00zz__rgcz00))
{ /* ./Rgc/rgc.scm 250 */
BgL_res1836z00_679 = 
rgc_buffer_symbol(BgL_inputzd2portzd2_635); }  else 
{ /* ./Rgc/rgc.scm 250 */
if(
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_casezd2valuezd2_678, BGl_symbol1831z00zz__rgcz00))
{ /* ./Rgc/rgc.scm 250 */
BgL_res1836z00_679 = 
rgc_buffer_downcase_symbol(BgL_inputzd2portzd2_635); }  else 
{ /* ./Rgc/rgc.scm 250 */
if(
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_casezd2valuezd2_678, BGl_symbol1832z00zz__rgcz00))
{ /* ./Rgc/rgc.scm 250 */
BgL_res1836z00_679 = 
rgc_buffer_upcase_symbol(BgL_inputzd2portzd2_635); }  else 
{ /* ./Rgc/rgc.scm 250 */
BgL_res1836z00_679 = 
rgc_buffer_symbol(BgL_inputzd2portzd2_635); } } } } 
return BgL_res1836z00_679;} } 
}



/* rgc-buffer-keyword */
BGL_EXPORTED_DEF obj_t BGl_rgczd2bufferzd2keywordz00zz__rgcz00(obj_t BgL_inputzd2portzd2_13)
{ AN_OBJECT;
{ /* ./Rgc/rgc.scm 263 */
{ /* ./Rgc/rgc.scm 264 */
obj_t BgL_casezd2valuezd2_680;
BgL_casezd2valuezd2_680 = BGl_za2rgczd2caseza2zd2zz__rgcz00; 
if(
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_casezd2valuezd2_680, BGl_symbol1830z00zz__rgcz00))
{ /* ./Rgc/rgc.scm 264 */
return 
rgc_buffer_keyword(BgL_inputzd2portzd2_13);}  else 
{ /* ./Rgc/rgc.scm 264 */
if(
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_casezd2valuezd2_680, BGl_symbol1831z00zz__rgcz00))
{ /* ./Rgc/rgc.scm 264 */
return 
rgc_buffer_downcase_keyword(BgL_inputzd2portzd2_13);}  else 
{ /* ./Rgc/rgc.scm 264 */
if(
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_casezd2valuezd2_680, BGl_symbol1832z00zz__rgcz00))
{ /* ./Rgc/rgc.scm 264 */
return 
rgc_buffer_upcase_keyword(BgL_inputzd2portzd2_13);}  else 
{ /* ./Rgc/rgc.scm 264 */
return 
rgc_buffer_keyword(BgL_inputzd2portzd2_13);} } } } } 
}



/* _rgc-buffer-keyword1759 */
obj_t BGl__rgczd2bufferzd2keyword1759z00zz__rgcz00(obj_t BgL_envz00_636, obj_t BgL_inputzd2portzd2_637)
{ AN_OBJECT;
{ /* ./Rgc/rgc.scm 263 */
{ /* ./Rgc/rgc.scm 264 */
obj_t BgL_res1837z00_683;
{ /* ./Rgc/rgc.scm 264 */
obj_t BgL_casezd2valuezd2_682;
BgL_casezd2valuezd2_682 = BGl_za2rgczd2caseza2zd2zz__rgcz00; 
if(
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_casezd2valuezd2_682, BGl_symbol1830z00zz__rgcz00))
{ /* ./Rgc/rgc.scm 264 */
BgL_res1837z00_683 = 
rgc_buffer_keyword(BgL_inputzd2portzd2_637); }  else 
{ /* ./Rgc/rgc.scm 264 */
if(
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_casezd2valuezd2_682, BGl_symbol1831z00zz__rgcz00))
{ /* ./Rgc/rgc.scm 264 */
BgL_res1837z00_683 = 
rgc_buffer_downcase_keyword(BgL_inputzd2portzd2_637); }  else 
{ /* ./Rgc/rgc.scm 264 */
if(
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_casezd2valuezd2_682, BGl_symbol1832z00zz__rgcz00))
{ /* ./Rgc/rgc.scm 264 */
BgL_res1837z00_683 = 
rgc_buffer_upcase_keyword(BgL_inputzd2portzd2_637); }  else 
{ /* ./Rgc/rgc.scm 264 */
BgL_res1837z00_683 = 
rgc_buffer_keyword(BgL_inputzd2portzd2_637); } } } } 
return BgL_res1837z00_683;} } 
}



/* rgc-buffer-position */
BGL_EXPORTED_DEF long BGl_rgczd2bufferzd2positionz00zz__rgcz00(obj_t BgL_inputzd2portzd2_14)
{ AN_OBJECT;
{ /* ./Rgc/rgc.scm 277 */
return 
RGC_BUFFER_POSITION(BgL_inputzd2portzd2_14);} 
}



/* _rgc-buffer-position1761 */
obj_t BGl__rgczd2bufferzd2position1761z00zz__rgcz00(obj_t BgL_envz00_638, obj_t BgL_inputzd2portzd2_639)
{ AN_OBJECT;
{ /* ./Rgc/rgc.scm 277 */
{ /* ./Rgc/rgc.scm 278 */
long BgL_auxz00_787;
BgL_auxz00_787 = 
RGC_BUFFER_POSITION(BgL_inputzd2portzd2_639); 
return 
BINT(BgL_auxz00_787);} } 
}



/* rgc-set-filepos! */
BGL_EXPORTED_DEF obj_t BGl_rgczd2setzd2fileposz12z12zz__rgcz00(obj_t BgL_inputzd2portzd2_15)
{ AN_OBJECT;
{ /* ./Rgc/rgc.scm 283 */
{ /* ./Rgc/rgc.scm 284 */
int BgL_auxz00_790;
BgL_auxz00_790 = 
RGC_SET_FILEPOS(BgL_inputzd2portzd2_15); 
return 
BINT(BgL_auxz00_790);} } 
}



/* _rgc-set-filepos!1763 */
obj_t BGl__rgczd2setzd2fileposz121763z12zz__rgcz00(obj_t BgL_envz00_640, obj_t BgL_inputzd2portzd2_641)
{ AN_OBJECT;
{ /* ./Rgc/rgc.scm 283 */
{ /* ./Rgc/rgc.scm 284 */
int BgL_auxz00_793;
BgL_auxz00_793 = 
RGC_SET_FILEPOS(BgL_inputzd2portzd2_641); 
return 
BINT(BgL_auxz00_793);} } 
}



/* rgc-start-match! */
BGL_EXPORTED_DEF int BGl_rgczd2startzd2matchz12z12zz__rgcz00(obj_t BgL_inputzd2portzd2_16)
{ AN_OBJECT;
{ /* ./Rgc/rgc.scm 289 */
return 
RGC_START_MATCH(BgL_inputzd2portzd2_16);} 
}



/* _rgc-start-match!1765 */
obj_t BGl__rgczd2startzd2matchz121765z12zz__rgcz00(obj_t BgL_envz00_642, obj_t BgL_inputzd2portzd2_643)
{ AN_OBJECT;
{ /* ./Rgc/rgc.scm 289 */
{ /* ./Rgc/rgc.scm 290 */
int BgL_auxz00_797;
BgL_auxz00_797 = 
RGC_START_MATCH(BgL_inputzd2portzd2_643); 
return 
BINT(BgL_auxz00_797);} } 
}



/* rgc-stop-match! */
BGL_EXPORTED_DEF int BGl_rgczd2stopzd2matchz12z12zz__rgcz00(obj_t BgL_inputzd2portzd2_17)
{ AN_OBJECT;
{ /* ./Rgc/rgc.scm 295 */
return 
RGC_STOP_MATCH(BgL_inputzd2portzd2_17);} 
}



/* _rgc-stop-match!1767 */
obj_t BGl__rgczd2stopzd2matchz121767z12zz__rgcz00(obj_t BgL_envz00_644, obj_t BgL_inputzd2portzd2_645)
{ AN_OBJECT;
{ /* ./Rgc/rgc.scm 295 */
{ /* ./Rgc/rgc.scm 296 */
int BgL_auxz00_801;
BgL_auxz00_801 = 
RGC_STOP_MATCH(BgL_inputzd2portzd2_645); 
return 
BINT(BgL_auxz00_801);} } 
}



/* rgc-buffer-empty? */
BGL_EXPORTED_DEF bool_t BGl_rgczd2bufferzd2emptyzf3zf3zz__rgcz00(obj_t BgL_inputzd2portzd2_18)
{ AN_OBJECT;
{ /* ./Rgc/rgc.scm 301 */
return 
RGC_BUFFER_EMPTY(BgL_inputzd2portzd2_18);} 
}



/* _rgc-buffer-empty?1769 */
obj_t BGl__rgczd2bufferzd2emptyzf31769zf3zz__rgcz00(obj_t BgL_envz00_646, obj_t BgL_inputzd2portzd2_647)
{ AN_OBJECT;
{ /* ./Rgc/rgc.scm 301 */
{ /* ./Rgc/rgc.scm 302 */
bool_t BgL_auxz00_805;
BgL_auxz00_805 = 
RGC_BUFFER_EMPTY(BgL_inputzd2portzd2_647); 
return 
BBOOL(BgL_auxz00_805);} } 
}



/* rgc-fill-buffer */
BGL_EXPORTED_DEF bool_t BGl_rgczd2fillzd2bufferz00zz__rgcz00(obj_t BgL_inputzd2portzd2_19)
{ AN_OBJECT;
{ /* ./Rgc/rgc.scm 307 */
return 
rgc_fill_buffer(BgL_inputzd2portzd2_19);} 
}



/* _rgc-fill-buffer1771 */
obj_t BGl__rgczd2fillzd2buffer1771z00zz__rgcz00(obj_t BgL_envz00_648, obj_t BgL_inputzd2portzd2_649)
{ AN_OBJECT;
{ /* ./Rgc/rgc.scm 307 */
{ /* ./Rgc/rgc.scm 308 */
bool_t BgL_auxz00_809;
BgL_auxz00_809 = 
rgc_fill_buffer(BgL_inputzd2portzd2_649); 
return 
BBOOL(BgL_auxz00_809);} } 
}



/* rgc-fill-buffer-if-empty */
BGL_EXPORTED_DEF bool_t BGl_rgczd2fillzd2bufferzd2ifzd2emptyz00zz__rgcz00(obj_t BgL_inputzd2portzd2_20)
{ AN_OBJECT;
{ /* ./Rgc/rgc.scm 313 */
{ /* ./Rgc/rgc.scm 314 */
bool_t BgL__andtest_1003z00_690;
BgL__andtest_1003z00_690 = 
RGC_BUFFER_EMPTY(BgL_inputzd2portzd2_20); 
if(BgL__andtest_1003z00_690)
{ /* ./Rgc/rgc.scm 314 */
return 
rgc_fill_buffer(BgL_inputzd2portzd2_20);}  else 
{ /* ./Rgc/rgc.scm 314 */
return ((bool_t)0);} } } 
}



/* _rgc-fill-buffer-if-empty */
obj_t BGl__rgczd2fillzd2bufferzd2ifzd2emptyz00zz__rgcz00(obj_t BgL_envz00_650, obj_t BgL_inputzd2portzd2_651)
{ AN_OBJECT;
{ /* ./Rgc/rgc.scm 313 */
{ /* ./Rgc/rgc.scm 314 */
bool_t BgL_auxz00_815;
{ /* ./Rgc/rgc.scm 314 */
bool_t BgL_res1838z00_693;
{ /* ./Rgc/rgc.scm 314 */
bool_t BgL__andtest_1003z00_692;
BgL__andtest_1003z00_692 = 
RGC_BUFFER_EMPTY(BgL_inputzd2portzd2_651); 
if(BgL__andtest_1003z00_692)
{ /* ./Rgc/rgc.scm 314 */
BgL_res1838z00_693 = 
rgc_fill_buffer(BgL_inputzd2portzd2_651); }  else 
{ /* ./Rgc/rgc.scm 314 */
BgL_res1838z00_693 = ((bool_t)0); } } 
BgL_auxz00_815 = BgL_res1838z00_693; } 
return 
BBOOL(BgL_auxz00_815);} } 
}



/* rgc-buffer-bol? */
BGL_EXPORTED_DEF bool_t BGl_rgczd2bufferzd2bolzf3zf3zz__rgcz00(obj_t BgL_inputzd2portzd2_21)
{ AN_OBJECT;
{ /* ./Rgc/rgc.scm 319 */
return 
rgc_buffer_bol_p(BgL_inputzd2portzd2_21);} 
}



/* _rgc-buffer-bol?1774 */
obj_t BGl__rgczd2bufferzd2bolzf31774zf3zz__rgcz00(obj_t BgL_envz00_652, obj_t BgL_inputzd2portzd2_653)
{ AN_OBJECT;
{ /* ./Rgc/rgc.scm 319 */
{ /* ./Rgc/rgc.scm 320 */
bool_t BgL_auxz00_821;
BgL_auxz00_821 = 
rgc_buffer_bol_p(BgL_inputzd2portzd2_653); 
return 
BBOOL(BgL_auxz00_821);} } 
}



/* rgc-buffer-eol? */
BGL_EXPORTED_DEF bool_t BGl_rgczd2bufferzd2eolzf3zf3zz__rgcz00(obj_t BgL_inputzd2portzd2_22)
{ AN_OBJECT;
{ /* ./Rgc/rgc.scm 325 */
return 
rgc_buffer_eol_p(BgL_inputzd2portzd2_22);} 
}



/* _rgc-buffer-eol?1776 */
obj_t BGl__rgczd2bufferzd2eolzf31776zf3zz__rgcz00(obj_t BgL_envz00_654, obj_t BgL_inputzd2portzd2_655)
{ AN_OBJECT;
{ /* ./Rgc/rgc.scm 325 */
{ /* ./Rgc/rgc.scm 326 */
bool_t BgL_auxz00_825;
BgL_auxz00_825 = 
rgc_buffer_eol_p(BgL_inputzd2portzd2_655); 
return 
BBOOL(BgL_auxz00_825);} } 
}



/* rgc-buffer-bof? */
BGL_EXPORTED_DEF bool_t BGl_rgczd2bufferzd2bofzf3zf3zz__rgcz00(obj_t BgL_inputzd2portzd2_23)
{ AN_OBJECT;
{ /* ./Rgc/rgc.scm 331 */
return 
rgc_buffer_bof_p(BgL_inputzd2portzd2_23);} 
}



/* _rgc-buffer-bof?1778 */
obj_t BGl__rgczd2bufferzd2bofzf31778zf3zz__rgcz00(obj_t BgL_envz00_656, obj_t BgL_inputzd2portzd2_657)
{ AN_OBJECT;
{ /* ./Rgc/rgc.scm 331 */
{ /* ./Rgc/rgc.scm 332 */
bool_t BgL_auxz00_829;
BgL_auxz00_829 = 
rgc_buffer_bof_p(BgL_inputzd2portzd2_657); 
return 
BBOOL(BgL_auxz00_829);} } 
}



/* rgc-buffer-eof? */
BGL_EXPORTED_DEF bool_t BGl_rgczd2bufferzd2eofzf3zf3zz__rgcz00(obj_t BgL_inputzd2portzd2_24)
{ AN_OBJECT;
{ /* ./Rgc/rgc.scm 337 */
return 
rgc_buffer_eof_p(BgL_inputzd2portzd2_24);} 
}



/* _rgc-buffer-eof?1780 */
obj_t BGl__rgczd2bufferzd2eofzf31780zf3zz__rgcz00(obj_t BgL_envz00_658, obj_t BgL_inputzd2portzd2_659)
{ AN_OBJECT;
{ /* ./Rgc/rgc.scm 337 */
{ /* ./Rgc/rgc.scm 338 */
bool_t BgL_auxz00_833;
BgL_auxz00_833 = 
rgc_buffer_eof_p(BgL_inputzd2portzd2_659); 
return 
BBOOL(BgL_auxz00_833);} } 
}



/* rgc-the-submatch */
BGL_EXPORTED_DEF obj_t BGl_rgczd2thezd2submatchz00zz__rgcz00(obj_t BgL_rgczd2submatcheszd2_25, int BgL_posz00_26, int BgL_matchz00_27, int BgL_submatchz00_28)
{ AN_OBJECT;
{ /* ./Rgc/rgc.scm 347 */
{ 
obj_t BgL_submatchesz00_388;long BgL_startz00_389;obj_t BgL_stopz00_390;
BgL_submatchesz00_388 = BgL_rgczd2submatcheszd2_25; 
BgL_startz00_389 = ((long)-1); 
BgL_stopz00_390 = 
BINT(((long)-1)); 
BgL_loopz00_391:
if(
NULLP(BgL_submatchesz00_388))
{ /* ./Rgc/rgc.scm 356 */
{ /* ./Rgc/rgc.scm 357 */
int BgL_auxz00_838;
BgL_auxz00_838 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_auxz00_838); } 
{ /* ./Rgc/rgc.scm 357 */
int BgL_auxz00_841;
BgL_auxz00_841 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_auxz00_841, BgL_stopz00_390); } 
return 
BINT(BgL_startz00_389);}  else 
{ /* ./Rgc/rgc.scm 358 */
obj_t BgL_mvz00_395;
BgL_mvz00_395 = 
CAR(BgL_submatchesz00_388); 
{ /* ./Rgc/rgc.scm 358 */
obj_t BgL_ruz00_396;
{ 
int BgL_auxz00_846;
BgL_auxz00_846 = 
(int)(((long)0)); 
BgL_ruz00_396 = 
VECTOR_REF(BgL_mvz00_395,BgL_auxz00_846); } 
{ /* ./Rgc/rgc.scm 359 */
obj_t BgL_smz00_397;
{ 
int BgL_auxz00_849;
BgL_auxz00_849 = 
(int)(((long)1)); 
BgL_smz00_397 = 
VECTOR_REF(BgL_mvz00_395,BgL_auxz00_849); } 
{ /* ./Rgc/rgc.scm 360 */
obj_t BgL_spz00_398;
{ 
int BgL_auxz00_852;
BgL_auxz00_852 = 
(int)(((long)2)); 
BgL_spz00_398 = 
VECTOR_REF(BgL_mvz00_395,BgL_auxz00_852); } 
{ /* ./Rgc/rgc.scm 361 */
obj_t BgL_whatz00_399;
{ 
int BgL_auxz00_855;
BgL_auxz00_855 = 
(int)(((long)3)); 
BgL_whatz00_399 = 
VECTOR_REF(BgL_mvz00_395,BgL_auxz00_855); } 
{ /* ./Rgc/rgc.scm 362 */

{ /* ./Rgc/rgc.scm 364 */
bool_t BgL_test1055z00_400;
{ /* ./Rgc/rgc.scm 364 */
bool_t BgL_testz00_858;
{ /* ./Rgc/rgc.scm 364 */
long BgL_auxz00_861;long BgL_auxz00_859;
BgL_auxz00_861 = 
(long)(BgL_matchz00_27); 
BgL_auxz00_859 = 
(long)CINT(BgL_ruz00_396); 
BgL_testz00_858 = 
(BgL_auxz00_859==BgL_auxz00_861); } 
if(BgL_testz00_858)
{ /* ./Rgc/rgc.scm 364 */
bool_t BgL_testz00_864;
{ /* ./Rgc/rgc.scm 364 */
long BgL_auxz00_867;long BgL_auxz00_865;
BgL_auxz00_867 = 
(long)(BgL_submatchz00_28); 
BgL_auxz00_865 = 
(long)CINT(BgL_smz00_397); 
BgL_testz00_864 = 
(BgL_auxz00_865==BgL_auxz00_867); } 
if(BgL_testz00_864)
{ /* ./Rgc/rgc.scm 364 */
long BgL_auxz00_872;long BgL_auxz00_870;
BgL_auxz00_872 = 
(long)(BgL_posz00_26); 
BgL_auxz00_870 = 
(long)CINT(BgL_spz00_398); 
BgL_test1055z00_400 = 
(BgL_auxz00_870<=BgL_auxz00_872); }  else 
{ /* ./Rgc/rgc.scm 364 */
BgL_test1055z00_400 = ((bool_t)0); } }  else 
{ /* ./Rgc/rgc.scm 364 */
BgL_test1055z00_400 = ((bool_t)0); } } 
if(BgL_test1055z00_400)
{ /* ./Rgc/rgc.scm 364 */
if(
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_whatz00_399, BGl_symbol1833z00zz__rgcz00))
{ /* ./Rgc/rgc.scm 367 */
bool_t BgL_testz00_878;
{ /* ./Rgc/rgc.scm 367 */
long BgL_auxz00_879;
BgL_auxz00_879 = 
(long)CINT(BgL_stopz00_390); 
BgL_testz00_878 = 
(BgL_auxz00_879<((long)0)); } 
if(BgL_testz00_878)
{ 
obj_t BgL_stopz00_884;obj_t BgL_submatchesz00_882;
BgL_submatchesz00_882 = 
CDR(BgL_submatchesz00_388); 
BgL_stopz00_884 = BgL_spz00_398; 
BgL_stopz00_390 = BgL_stopz00_884; 
BgL_submatchesz00_388 = BgL_submatchesz00_882; 
goto BgL_loopz00_391;}  else 
{ 
obj_t BgL_submatchesz00_885;
BgL_submatchesz00_885 = 
CDR(BgL_submatchesz00_388); 
BgL_submatchesz00_388 = BgL_submatchesz00_885; 
goto BgL_loopz00_391;} }  else 
{ /* ./Rgc/rgc.scm 365 */
if(
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_whatz00_399, BGl_symbol1834z00zz__rgcz00))
{ /* ./Rgc/rgc.scm 371 */
long BgL_val0_1006z00_407;
{ /* ./Rgc/rgc.scm 371 */
long BgL_auxz00_889;
BgL_auxz00_889 = 
(long)CINT(BgL_spz00_398); 
BgL_val0_1006z00_407 = 
(BgL_auxz00_889-((long)1)); } 
{ /* ./Rgc/rgc.scm 371 */
int BgL_auxz00_892;
BgL_auxz00_892 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_auxz00_892); } 
{ /* ./Rgc/rgc.scm 371 */
int BgL_auxz00_895;
BgL_auxz00_895 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_auxz00_895, BgL_stopz00_390); } 
return 
BINT(BgL_val0_1006z00_407);}  else 
{ /* ./Rgc/rgc.scm 365 */
if(
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_whatz00_399, BGl_symbol1835z00zz__rgcz00))
{ 
long BgL_startz00_903;obj_t BgL_submatchesz00_901;
BgL_submatchesz00_901 = 
CDR(BgL_submatchesz00_388); 
{ /* ./Rgc/rgc.scm 373 */
long BgL_auxz00_904;
BgL_auxz00_904 = 
(long)CINT(BgL_spz00_398); 
BgL_startz00_903 = 
(BgL_auxz00_904-((long)1)); } 
BgL_startz00_389 = BgL_startz00_903; 
BgL_submatchesz00_388 = BgL_submatchesz00_901; 
goto BgL_loopz00_391;}  else 
{ /* ./Rgc/rgc.scm 365 */
return BUNSPEC;} } } }  else 
{ /* ./Rgc/rgc.scm 364 */
if(
(BgL_whatz00_399==BgL_stopz00_390))
{ /* ./Rgc/rgc.scm 374 */
{ /* ./Rgc/rgc.scm 375 */
int BgL_auxz00_909;
BgL_auxz00_909 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_auxz00_909); } 
{ /* ./Rgc/rgc.scm 375 */
int BgL_auxz00_912;
BgL_auxz00_912 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_auxz00_912, BgL_stopz00_390); } 
return 
BINT(BgL_startz00_389);}  else 
{ /* ./Rgc/rgc.scm 374 */
{ 
obj_t BgL_submatchesz00_916;
BgL_submatchesz00_916 = 
CDR(BgL_submatchesz00_388); 
BgL_submatchesz00_388 = BgL_submatchesz00_916; 
goto BgL_loopz00_391;} } } } } } } } } } } } 
}



/* _rgc-the-submatch */
obj_t BGl__rgczd2thezd2submatchz00zz__rgcz00(obj_t BgL_envz00_660, obj_t BgL_rgczd2submatcheszd2_661, obj_t BgL_posz00_662, obj_t BgL_matchz00_663, obj_t BgL_submatchz00_664)
{ AN_OBJECT;
{ /* ./Rgc/rgc.scm 347 */
return 
BGl_rgczd2thezd2submatchz00zz__rgcz00(BgL_rgczd2submatcheszd2_661, 
CINT(BgL_posz00_662), 
CINT(BgL_matchz00_663), 
CINT(BgL_submatchz00_664));} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__rgcz00()
{ AN_OBJECT;
{ /* ./Rgc/rgc.scm 17 */
return 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)11084), "__rgc");} 
}

